#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              2.0
visibility:           public
id:                   one-liner-2.0-FIvdb8FxvFzClETidVfpUE
key:                  one-liner-2.0-FIvdb8FxvFzClETidVfpUE
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  5bdc418c0125ccb321e164d8ea41cbdc
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-9.0.1/site-local/one-liner-2.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/one-liner-2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/one-liner-2.0
hs-libraries:         HSone-liner-2.0-FIvdb8FxvFzClETidVfpUE
depends:
    base-4.15.0.0 bifunctors-5.5.11-4a9fDaCpI0gBeeRxuK7kCT
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A ghc-prim-0.7.0
    linear-base-0.1.0-F8s2WtIhpz5DWdcUfn8zmF
    profunctors-5.6.2-B6FoSrRjYaIIEipBScYUvk
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

